Subject: 30.0.60: "'wheel-up/down/left/right' events" in suboptimal place in NEWS?
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Fri, 28 Jun 2024 19:20:35 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: minor

This item in NEWS is under "Changes in Specialized Modes and Packages in
Emacs 30.1".

    ** Mwheel
    The 'wheel-up/down/left/right' events are now bound unconditionally,
    and the 'mouse-wheel-up/down/left/right-event' variables are thus used
    only to specify the 'mouse-4/5/6/7' events that might still
    happen to be generated by some old packages (or if 'mouse-wheel-buttons'
    has been set to nil).

Would it be happier somewhere else?  Mouse wheel support is a very basic
editor feature, so it doesn't seem to belong under "specialized" modes
and packages.

However, I'm not sure to what extent this is a user-facing feature.
Perhaps it should be under Lisp Changes?